tt_pnotice_create(library call)

NAME
tt_pnotice_create — create a procedure notice

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_message tt_pnotice_create(
Tt_scope scope,
const char *op);

DESCRIPTION

The tt_pnotice_create function creates a message. The created message contains the following:

Tt_address = TT_PROCEDURE Tt_class = TT_NOTICE

The application can use the returned handle to add arguments and other attributes, and to send the message.

The scope argument determines which processes are eligible to receive the message. The following values are defined:

TT_SESSION
    All processes joined to the indicated session are eligible.

TT_FILE
    All processes joined to the indicated file are eligible.

TT_BOTH
    All processes joined to either indicated file or the indicated session are eligible.

TT_FILE_IN_SESSION
    All processes joined to both the indicated file and the indicated session are eligible.

The op argument is the operation to be performed by the receiving process.

RETURN VALUE

Upon successful completion, the tt_pnotice_create function returns the unique handle that identifies this message. The application can use tt_ptr_error(3) to extract one of the following Tt_status values from the returned handle:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_PROCID
    The specified process identifier is out of date or invalid.

APPLICATION USAGE

The application should use tt_free(3) to free any data stored in the address returned by the ToolTalk API.

If the ToolTalk service is unable to create a message when requested, tt_pnotice_create returns an invalid handle. When the application attempts to use this handle with another ToolTalk function, the ToolTalk service will return TT_ERR_POINTER.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_ptr_error(3), tt_free(3).